Support Alerts

Apple OS 10.7 - Lion Released

ProPresenter 4:   Fully compatible with Mac OS 10.7 (Lion). Be sure you're using the latest version.

ProPresenter 3:   May work with Mac OS 10.7 (Lion), but it's not officially tested or supported. Please stay with Snow Leopard or lower for this version of ProPresenter.

ProVideoPlayer (PVP):   We're testing a version of the application that is Lion compatible and will hopefully release that soon. So please stay with Snow Leopard or lower for now and stay tuned to the site for the update.